Subject: bug#894: installer fails to configure wireless card

From: fsmithred <[email-masked]>
Date: Mon, 16 Jun 2025 16:16:35 -0400

Package: devuan-installer

This was an expert install of 
devuan_excalibur_6.0-20250605_amd64_netinstall.iso. I'm not sure if expert 
is necessary to get this firmware question.
https://get.refracta.org/files/misc/provide_firmware.jpeg

I answered "no" to providing the firmware on external media and proceeded.
When it got to network detection and configuration, it only saw eth0. 
Since eth0 is broken, dhcp failed. I set it up manually and gave it a good 
local address.

When it came to setting up the package manager, I had to proceed without a 
mirror. While it was installing the base system, I switched to vt2 and saw 
that it was installing firmware-iwlwifi.

After the sofware install but before it installed grub bootloader, I 
opened a shell and tried to set up the wireless.

wlan0 did not show up with 'ip a'. Unloading and reloading the iwlwifi 
module didn't help. I chrooted the installed system (in /target) and tried 
configuring wlan0 in /etc/network/interfaces. That didn't work. 
wpasupplicant was not installed. rfkill was not installed, so I couldn't 
see if the wireless card got switched off. That's when I gave up.

In past releases, the network setup saw the wireless hardware and let me 
choose whether to set up eth0 or wlan0. That didn't happen here.

I did this to confirm a problem that the previous poster on this thread had:
https://dev1galaxy.org/viewtopic.php?pid=56137#p56137

fsmithred